Consenso all'uso dei cookies

SITO1 -- SITO2 -- Forum2 -- CercaGlobale -- Informativa su Cookie e Privacy

Questo Forum1 è in sola lettura -- Usa il Forum2


Valutazione discussione:
  • 0 voto(i) - 0 media
  • 1
  • 2
  • 3
  • 4
  • 5
Errore su terminale: help ai Luminari di Linux
#1
Ciao a tutti, cercavo di installare il programma Stellarium
e il Terminale mi ha segnalato che dovevo fare l'aggiornamento di APT Get,
Tosto mi metto all'opera e intanto cerco di capire cosa vul dire "Fare APT GET" e trovo una spiega qui:

Faccio tutto quello che loro mi suggeriscono di fare (lo trovate nella pagina di cui sopra il link)
ma poi mi esce questo: di cui la cosa inquietante è il finale: È necessario essere root.
Cosa vuol dire...
La Flami ovvero l'aspirante Pinguina che cammina sulle uova Confused
CIAOOOOOOOOO!

W: È consigliato eseguire "apt-get update" per correggere questi problemi
flaminia@flaminia-System-Product-Name:~$
flaminia@flaminia-System-Product-Name:~$
flaminia@flaminia-System-Product-Name:~$ apt-get update
E: Impossibile aprire il file di blocco /var/lib/apt/lists/lock - open (13: Permesso negato)
E: Impossibile bloccare la directory /var/lib/apt/lists/
E: Impossibile aprire il file di blocco /var/lib/dpkg/lock - open (13: Permesso negato)
E: Impossibile acquisire il blocco sulla directory di amministrazione (/var/lib/dpkg/). È necessario essere root.
Cita messaggio
#2
Usa
Codice:
sudo apt-get update
Wink

Senza "sudo" ti dà errore perchè stai facendo un'operazione da amministratore come utente normale. Il sudo ti concede momentaneamente i poteri di amministratore.

Ciao Smile

Qualche link:
-Videoguide Majorana
-APT Majorana
-Wiki Ubuntu

Se vuoi (te lo consiglio caldamente) dai un'occhiata anche a questo, anche se credo tu già lo conosca: [Immagine: http://www.kolobok.us/smiles/artists/big...ick-me.gif]
Ti aiuterà a sentirti meno "spaesata" con Ubuntu.

Non volevo "bombandarti" di link. La soluzione al tuo problema sta nelle prime 2 righe. I link sono per "approfondire" nel caso tu voglia farlo, mi hanno aiutato molto a muovere i miei primi passi con il Pinguino Wink
Sono un principiante con tanta voglia di imparare.

[Immagine: http://t3.gstatic.com/images?q=tbn:ANd9G...xV6aKxqMCQ]
Cita messaggio
#3
Ciao Logan,
grazie per i link: studere, studere... tocca Studiare! Exclamation
Ma il comando che tu mi segnali (sudo apt-get update)
e alla fine mi ha chiesto di fare altro e alla fine mi ha detto he non ero root!!!Scusarsi

Ciao, e grazie
la Flami

(10-11-2012, 15:48 )Logan Ha scritto: Usa
Codice:
sudo apt-get update
Wink

Senza "sudo" ti dà errore perchè stai facendo un'operazione da amministratore come utente normale. Il sudo ti concede momentaneamente i poteri di amministratore.

Ciao Smile

Qualche link:
-Videoguide Majorana
-APT Majorana
-Wiki Ubuntu

Se vuoi (te lo consiglio caldamente) dai un'occhiata anche a questo, anche se credo tu già lo conosca: [Immagine: http://www.kolobok.us/smiles/artists/big...ick-me.gif]
Ti aiuterà a sentirti meno "spaesata" con Ubuntu.

Non volevo "bombandarti" di link. La soluzione al tuo problema sta nelle prime 2 righe. I link sono per "approfondire" nel caso tu voglia farlo, mi hanno aiutato molto a muovere i miei primi passi con il Pinguino Wink
Cita messaggio
#4
Ti ha chiesto di certo di inserire la password, tu vai avanti a scriverla anche se TI SEMBRA CHE NON LA STIA SCRIVENDO perchè non compaiono asterischi, vai tranquilla la sta scrivendo. Dopo aver finito premi il tasto Invio.
Sono un principiante con tanta voglia di imparare.

[Immagine: http://t3.gstatic.com/images?q=tbn:ANd9G...xV6aKxqMCQ]
Cita messaggio
#5
No, la password me l'aveva chiesta e gliel'avevo data...

Cmq ha qualcosa che non va...
Ora ho cercato di installargli un software di sinonimi e mi ha risposto:
installArchives() failed: Selecting previously unselected package libaiksaurusgtk-1.2-0c2a.
(Reading database ...
(Reading database ... 5%
(Reading database ... 10%
(Reading database ... 15%
(Reading database ... 20%
(Reading database ... 25%
(Reading database ... 30%
(Reading database ... 35%
(Reading database ... 40%
(Reading database ... 45%
(Reading database ... 50%
(Reading database ... 55%
(Reading database ... 60%
(Reading database ... 65%
(Reading database ... 70%
(Reading database ... 75%
(Reading database ... 80%
(Reading database ... 85%
(Reading database ... 90%
(Reading database ... 95%
(Reading database ... 100%
(Reading database ... 420678 files and directories currently installed.)
Unpacking libaiksaurusgtk-1.2-0c2a (from .../libaiksaurusgtk-1.2-0c2a_1.2.1+dev-0.12-6.1_i386.deb) ...
Selecting previously unselected package gaiksaurus.
Unpacking gaiksaurus (from .../gaiksaurus_1.2.1+dev-0.12-6.1_i386.deb) ...
Processing triggers for bamfdaemon ...
Rebuilding /usr/share/applications/bamf.index...
Processing triggers for desktop-file-utils ...
Processing triggers for gnome-menus ...
Processing triggers for menu ...
Setting up amavisd-new-postfix (1:2.6.5-0ubuntu3.2) ...
Selected policy name, policy-spf, already in master.cf. Master.cf not updated.
Selected service name, smtp-amavis, or smtpd port, 10025, already in master.cf. Master.cf not updated.
* Stopping Postfix Mail Transport Agent postfix
...done.
* Starting Postfix Mail Transport Agent postfix
...done.
Stopping amavisd: (not running).
Starting amavisd: head: impossibile aprire "/etc/mailname" per la lettura: File o directory non esistente
The value of variable $myhostname is "flaminia-System-Product-Name", but should have been
a fully qualified domain name; perhaps uname(3) did not provide such.
You must explicitly assign a FQDN of this host to variable $myhostname
in /etc/amavis/conf.d/05-node_id, or fix what uname(3) provides as a host's
network name!
(failed).
invoke-rc.d: initscript amavis, action "restart" failed.
dpkg: error processing amavisd-new-postfix (--configure):
subprocess installed post-installation script returned error exit status 1
Setting up libaiksaurusgtk-1.2-0c2a (1.2.1+dev-0.12-6.1) ...
No apport report written because MaxReports is reached already
Setting up gaiksaurus (1.2.1+dev-0.12-6.1) ...
Processing triggers for libc-bin ...
ldconfig deferred processing now taking place
Processing triggers for menu ...
Errors were encountered while processing:
amavisd-new-postfix
Error in function:
Setting up amavisd-new-postfix (1:2.6.5-0ubuntu3.2) ...
Selected policy name, policy-spf, already in master.cf. Master.cf not updated.
Selected service name, smtp-amavis, or smtpd port, 10025, already in master.cf. Master.cf not updated.
* Stopping Postfix Mail Transport Agent postfix
...done.
* Starting Postfix Mail Transport Agent postfix
...done.
Stopping amavisd: (not running).
Starting amavisd: head: impossibile aprire "/etc/mailname" per la lettura: File o directory non esistente
The value of variable $myhostname is "flaminia-System-Product-Name", but should have been
a fully qualified domain name; perhaps uname(3) did not provide such.
You must explicitly assign a FQDN of this host to variable $myhostname
in /etc/amavis/conf.d/05-node_id, or fix what uname(3) provides as a host's
network name!
(failed).
invoke-rc.d: initscript amavis, action "restart" failed.
dpkg: error processing amavisd-new-postfix (--configure):
subprocess installed post-installation script returned error exit status 1

Scusarsi Scusarsi Big Grin Arrendersi
Cita messaggio
#6
Credo che il problema sia generato da questo pacchetto: amavisd-new-postfix

Prova a rimuoverlo:
Codice:
sudo apt-get --purge remove amavisd-new-postfix

Se continua a darti errore prova anche:
Codice:
sudo dpkg --remove -force --force-remove-reinstreq amavisd-new-postfix
Sono un principiante con tanta voglia di imparare.

[Immagine: http://t3.gstatic.com/images?q=tbn:ANd9G...xV6aKxqMCQ]
Cita messaggio
#7
Grazie Logan... opero At


(10-11-2012, 19:39 )Logan Ha scritto: Credo che il problema sia generato da questo pacchetto: amavisd-new-postfix

Prova a rimuoverlo:
Codice:
sudo apt-get --purge remove amavisd-new-postfix

Se continua a darti errore prova anche:
Codice:
sudo dpkg --remove -force --force-remove-reinstreq amavisd-new-postfix
Cita messaggio
#8
Al primo comando( sudo apt-get --purge remove amavisd-new-postfix )
mi ha risposto:
flaminia@flaminia-System-Product-Name:~$ sudo apt-get --purge remove amavisd-new-postfix
[sudo] password for flaminia:
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze
Lettura informazioni sullo stato... Fatto
Il seguente pacchetto è stato installato automaticamente e non è più richiesto:
wine-gecko1.5
Usare "apt-get autoremove" per rimuoverli.
I seguenti pacchetti saranno RIMOSSI:
amavisd-new-postfix*
0 aggiornati, 0 installati, 1 da rimuovere e 0 non aggiornati.
1 non completamente installati o rimossi.
Dopo quest'operazione, verranno liberati 293 kB di spazio su disco.
Continuare [S/n]? s
(Lettura del database... 420682 file e directory attualmente installati.)
Rimozione di amavisd-new-postfix...
* Reloading Postfix configuration... [ OK ]
Eliminazione dei file di configurazione di amavisd-new-postfix...
dpkg: attenzione: nel rimuovere amavisd-new-postfix la directory "/var/backups/amavisd-new-postfix" è risultata non vuota e non viene rimossa.
Cita messaggio
#9
(10-11-2012, 20:05 )MarinaMayer Ha scritto: Al primo comando( sudo apt-get --purge remove amavisd-new-postfix )
mi ha risposto:
flaminia@flaminia-System-Product-Name:~$ sudo apt-get --purge remove amavisd-new-postfix
[sudo] password for flaminia:
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze
Lettura informazioni sullo stato... Fatto
Il seguente pacchetto è stato installato automaticamente e non è più richiesto:
wine-gecko1.5
Usare "apt-get autoremove" per rimuoverli.
I seguenti pacchetti saranno RIMOSSI:
amavisd-new-postfix*
0 aggiornati, 0 installati, 1 da rimuovere e 0 non aggiornati.
1 non completamente installati o rimossi.
Dopo quest'operazione, verranno liberati 293 kB di spazio su disco.
Continuare [S/n]? s
(Lettura del database... 420682 file e directory attualmente installati.)
Rimozione di amavisd-new-postfix...
* Reloading Postfix configuration... [ OK ]
Eliminazione dei file di configurazione di amavisd-new-postfix...
dpkg: attenzione: nel rimuovere amavisd-new-postfix la directory "/var/backups/amavisd-new-postfix" è risultata non vuota e non viene rimossa.

DIFATTI io avevo installato un programma di windows con WINE e non me lo vuole disinstallare... Sad
Cita messaggio
#10
E se provo a dargli il secondo comando:

sudo dpkg --remove -force --force-remove-reinstreq amavisd-new-postfix
[sudo] password for flaminia:
dpkg: errore: azioni -f (--field) e -r (--remove) in conflitto

Usare dpkg --help per un aiuto sull'installazione e la rimozione dei pacchetti [*];
Usare "dselect" o "aptitude" per un'interfaccia alla gestione dei pacchetti;
Usare dpkg -Dhelp per l'elenco delle opzioni di debug per dpkg;
Usare dpkg --force-help per l'elenco delle opzioni di forzatura;
Usare dpkg-deb --help per un aiuto sulla manipolazione dei file *.deb;

Le opzioni indicate con [*] producono output prolisso - creare una pipe con "less" o "more".
Cita messaggio


Vai al forum:


Utenti che stanno guardando questa discussione: 1 Ospite(i)